/*
 * jQuery UI specific styling
*/

.paging_two_button .ui-button {
    float: left;
    cursor: pointer;
    * cursor: hand;
}

.paging_full_numbers .ui-button {
    padding: 2px 6px;
    margin: 0;
    cursor: pointer;
    * cursor: hand;
}

.dataTables_paginate .ui-button {
    margin-right: -0.1em !important;
}

.paging_full_numbers {
    width: 350px !important;
}

.dataTables_wrapper .ui-toolbar {
    padding: 5px;
}

.dataTables_paginate {
    width: auto;
}

.dataTables_info {
    padding-top: 3px;
}

table.display thead th {
    padding: 2px 8px;
    text-align: left;
    cursor: pointer;
    * cursor: hand;
}

div.dataTables_wrapper .ui-widget-header {
    font-weight: normal;
}

/*
 * Sort arrow icon positioning
*/
table.display thead th div.DataTables_sort_wrapper {
    position: relative;
    padding-right: 20px;
    padding-right: 20px;
}

table.display thead th div.DataTables_sort_wrapper span {
    position: absolute;
    top: 50%;
    margin-top: -8px;
    right: 0;
}

/*
 * DataTables features
*/

.dataTables_wrapper {
    position: relative;
    /*	min-height: 302px;
            _height: 302px;*/
    clear: both;
    margin: 10px 0;
}

.dataTables_processing {
    position: absolute;
    text-align: center;
    color: black;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    z-index: 100;
    opacity: .7;
    font-size: 1.2em;
    padding: .4em 0;
}

.dataTables_length {
    width: 40%;
    float: left;
}

.dataTables_filter {
    width: 50%;
    float: right;
    text-align: right;
}

.dataTables_info {
    width: 50%;
    float: left;
}

.dataTables_paginate {
    float: right;
    text-align: right;
}

/* Pagination nested */
.paginate_disabled_previous, .paginate_enabled_previous, .paginate_disabled_next, .paginate_enabled_next {
    height: 19px;
    width: 19px;
    margin-left: 3px;
    float: left;
}

.paginate_disabled_previous {
    background-image: url('../images/back_disabled.jpg');
}

.paginate_enabled_previous {
    background-image: url('../images/back_enabled.jpg');
}

.paginate_disabled_next {
    background-image: url('../images/forward_disabled.jpg');
}

.paginate_enabled_next {
    background-image: url('../images/forward_enabled.jpg');
}



/*
 * DataTables display
*/
table.display {
    margin: 0 auto;
    width: 100%;
    clear: both;
    border-collapse: collapse;
}

table.display tbody tr, table.display tfoot tr {
    border-left: 1px solid #68B6B5;
    border-right: 1px solid #68B6B5;
}

table.display tfoot th {
    padding: 3px 0px 3px 10px;
    font-weight: bold;
    font-weight: normal;
}

table.display tr.heading2 td {
    border-bottom: 1px solid #aaa;
}

table.display td {
    padding: 2px 8px;
    vertical-align: middle
}

table.display td.center {
    text-align: center;
}



/*
 * DataTables sorting
*/

.sorting_asc {
    background: url('../images/sort_asc.png') no-repeat center right;
}

.sorting_desc {
    background: url('../images/sort_desc.png') no-repeat center right;
}

.sorting {
    background: url('../images/sort_both.png') no-repeat center right;
}

.sorting_asc_disabled {
    background: url('../images/sort_asc_disabled.png') no-repeat center right;
}

.sorting_desc_disabled {
    background: url('../images/sort_desc_disabled.png') no-repeat center right;
}


/*
 * DataTables row classes
*/
table.display tr.odd.gradeA {
    background-color: #ddffdd;
}

table.display tr.even.gradeA {
    background-color: #eeffee;
}

table.display tr.odd.gradeC {
    background-color: #ddddff;
}

table.display tr.even.gradeC {
    background-color: #eeeeff;
}

table.display tr.odd.gradeX {
    background-color: #ffdddd;
}

table.display tr.even.gradeX {
    background-color: #ffeeee;
}

table.display tr.odd.gradeU {
    background-color: #ddd;
}

table.display tr.even.gradeU {
    background-color: #eee;
}


tr.odd {
    background-color: #fefcf8;
}

tr.even {
    background-color: #feefcc;
}

/*
 * Misc
*/
.dataTables_scroll {
    clear: both;
}

.top, .bottom {
    padding: 15px;
    background-color: #F5F5F5;
    border: 1px solid #CCCCCC;
}

.top .dataTables_info {
    float: none;
}

.clear {
    clear: both;
}

.dataTables_empty {
    text-align: center;
}

tfoot input {
    margin: 0.5em 0;
    width: 100%;
    color: #444;
}

tfoot input.search_init {
    color: #999;
}

td.group {
    background-color: #d1cfd0;
    border-bottom: 2px solid #A19B9E;
    border-top: 2px solid #A19B9E;
}

td.details {
    background-color: #d1cfd0;
    border: 2px solid #A19B9E;
}


.example_alt_pagination div.dataTables_info {
    width: 40%;
}

.paging_full_numbers span.paginate_button,
.paging_full_numbers span.paginate_active {
    border: 1px solid #aaa;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    padding: 2px 5px;
    margin: 0 3px;
    cursor: pointer;
    *cursor: hand;
}

.paging_full_numbers span.paginate_button {
    background-color: #ddd;
}

.paging_full_numbers span.paginate_button:hover {
    background-color: #ccc;
}

.paging_full_numbers span.paginate_active {
    background-color: #99B3FF;
}

table.display tr.even.row_selected td {
    background-color: #B0BED9;
}

table.display tr.odd.row_selected td {
    background-color: #9FAFD1;
}


/*
 * Sorting classes for columns
*/
/* For the standard odd/even */
tr.odd td.sorting_1 {
    background-color: #fee3a4;
}

tr.odd td.sorting_2 {
    background-color: #DADCFF;
}

tr.odd td.sorting_3 {
    background-color: #E0E2FF;
}

tr.even td.sorting_1 {
    background-color: #feedc6;
}

tr.even td.sorting_2 {
    background-color: #F2F3FF;
}

tr.even td.sorting_3 {
    background-color: #F9F9FF;
}

/*
 * Row highlighting
*/
.display tbody tr.even:hover td, .display tbody tr.even td.highlighted {
    background-color: #adb6ff;
}

.display tbody tr.odd:hover td, .display tbody tr.odd td.highlighted {
    background-color: #c5cbfe;
}

.display tbody tr.separator td, .display tbody tr.separator td:hover, .display tbody tr.separator td.highlighted {
    background-color: #01B1AF !important;
    height: 2px;
    line-height: 2px;
    padding: 0;
}

th.nosort .DataTables_sort_icon { display: none }